Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366746 - EINVAL errors while aggregating the directory size by quotad
Summary: EINVAL errors while aggregating the directory size by quotad
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: quota
Version: 3.8
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Manikandan
QA Contact:
URL:
Whiteboard:
Depends On: 1317653 1332073
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 17:04 UTC by Manikandan
Modified: 2016-09-16 18:27 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.8.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1332073
Environment:
Last Closed: 2016-09-16 18:27:59 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Worker Ant 2016-08-26 08:11:23 UTC
REVIEW: http://review.gluster.org/15325 (quotad: fix potential buffer overflows) posted (#1) for review on release-3.8 by Manikandan Selvaganesh (mselvaga@redhat.com)

Comment 2 Worker Ant 2016-08-27 11:10:50 UTC
COMMIT: http://review.gluster.org/15325 committed in release-3.8 by Raghavendra G (rgowdapp@redhat.com) 
------
commit 6b406ac42f55233df474fa304dbb9e6fc447bd8f
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Fri May 6 12:26:29 2016 +0530

    quotad: fix potential buffer overflows
    
    This converts sprintf to gf_asprintf in following components:                                                                                                          * quotad.c
    * dht
    * afr
    * protocol/client
    * rpc/rpc-lib
    * rpc/rpc-transport
    
            This is a backport of http://review.gluster.org/#/c/14102/
    
    > Change-Id: If8a267bab3d91003bdef3a92664077a0136745ee
    > BUG: 1332073
    > Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    > Reviewed-on: http://review.gluster.org/14102
    > Tested-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    
    Change-Id: If8a267bab3d91003bdef3a92664077a0136745ee
    BUG: 1366746
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/15325
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Tested-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 3 Niels de Vos 2016-09-12 05:37:38 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 4 Niels de Vos 2016-09-16 18:27:59 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.4, please open a new bug report.

glusterfs-3.8.4 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://www.gluster.org/pipermail/announce/2016-September/000060.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.